<?php 
function insertAuditoria($informacion,$datos,$usuario,$direccion_ip,$direccion_mac)
{
	include "conexion.php";
	$select = "SELECT ";
	$select .= "MAX(id_auditoria) AS id_auditoria ";
	$select .= "FROM ";
	$select .= "gaslight.auditoria";
	
	$resultado = $conexion->query($select); 
	
	if($resultado === false) 
		die("Error en la seleccion del id_auditoria");
	else
		$número_filas = $resultado->num_rows;
		
	if($número_filas == 0)
	{
		$id_auditoria = 1;
	}
	else
	{
		while ($row=$resultado->fetch_row()){ 
			$id_auditoria = $row[0];
		}
		$resultado->free();
		$id_auditoria ++;
	}
	$insert = "INSERT INTO ";
	$insert .= "`gaslight`.`auditoria` ";
	$insert .= "( ";
	$insert .= "`id_auditoria`, ";
	$insert .= "`id_usuario`, ";
	$insert .= "`id_aplicacion`, ";
	$insert .= "`informacion`, ";
	$insert .= "`datos`, ";
	$insert .= "`fecha`, ";
	$insert .= "`direccion_ip`, ";
	$insert .= "`direccion_mac` ";
	$insert .= ") ";
	$insert .= "VALUES ";
	$insert .= "( ";
	$insert .= $id_auditoria . ", ";
	$insert .= "'" . $usuario . "', ";
	$insert .= "6, ";
	$insert .= "'" .$informacion."', ";
	$insert .= "'" . $datos . "', ";
	$insert .= "now(), ";	
	$insert .= "'" . $direccion_ip . "', ";
	$insert .= "'" . $direccion_mac . "' ";
	$insert .= ")";
	
	$resultado = $conexion->query($insert); 
				
	if($resultado === false) 
		die("Error en insert de auditoria: " . $insert);
}

?>